## org.apache.lucene.benchmark
Class AbstractBenchmarker

    java.lang.Object
      org.apache.lucene.benchmark.AbstractBenchmarker

All Implemented Interfaces:
  Benchmarker

Direct Known Subclasses:
  StandardBenchmarker

Deprecated. Use the Task based benchmarker

    public abstract class AbstractBenchmarker

extends Object
implements Benchmarker

Constructor Summary
`AbstractBenchmarker()` Deprecated.

Method Summary
`static boolean` `fullyDelete(File dir)` Deprecated. Delete files and directories, even if non-empty.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.lucene.benchmark.Benchmarker
`benchmark`

Constructor Detail

### AbstractBenchmarker

    public AbstractBenchmarker()

  Deprecated.

Method Detail

### fullyDelete

    public static boolean fullyDelete(File dir)
                               throws IOException

  Deprecated.
  Delete files and directories, even if non-empty.

  Parameters:
    `dir` - file or directory
  Returns:
    true on success, false if no or part of files have been deleted
  Throws:
    `IOException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.